---
title: "Delete All Documents of Payout"
source_url: https://docs.rapyd.net/en/delete-all-documents-of-payout.html
lang: en
---

# Delete All Documents of Payout

Delete all document files that were previously uploaded to a specific payout.

> **Note:**
>
> The code samples include successful requests (200), bad requests (400), and an unauthorized request (401).
>
> For a list of all error messages that appear due to bad requests, see:
>
> - [Document Errors](https://docs.rapyd.net/en/document-errors.md "Document Errors")
> - [Payout Errors](https://docs.rapyd.net/en/payout-errors.md "Payout Errors")
> - [General Errors](https://docs.rapyd.net/en/general-errors.md "General Errors")

### Parameters

### Request Path Parameters

- - payout
  - ID of the payout. String starting with **payout_**.

### Request Header Parameters

- - access_key
  - Unique access key provided by Rapyd for each authorized user.

    See [Developers](https://docs.rapyd.net/en/developers.md "Developers").
- - Content-Type
  - Indicates that the data appears in JSON format. Set to **application/json**.
- - salt
  - Random string. Recommended length: 8-16 characters.
- - signature
  - Signature calculated for each request individually.

    See [Request Signatures](https://docs.rapyd.net/en/request-signatures.md "Request Signatures").
- - timestamp
  - Timestamp for the request, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time") (seconds).

### Response Parameters

Response returns a **success** `status` with no `data` object.

- /v1/payouts/:payout/documents/

- Delete All Documents of Payout
- ```curl
  curl -X delete 'https://sandboxapi.rapyd.net/v1/payouts/payout_af69206aec6c2a22327f774f08d4ae32/documents/' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here'
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "6777a13d-9f30-47b6-98a7-379d15458ad3"
      }
  }
  ```

- Bad Request - Payout Not Found
- ```curl
  curl -X delete 'https://sandboxapi.rapyd.net/v1/payouts/payoutaf69206aec6c2a22327f774f08d4ae32/documents/' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here'
  ```
- ```json
  {
      "status": {
          "error_code": "ERROR_GET_PAYOUT",
          "status": "ERROR",
          "message": "The request tried to retrieve a payout, but the payout was not found. The request was rejected. Corrective action: Use the ID of a valid payout.",
          "response_code": "ERROR_GET_PAYOUT",
          "operation_id": "c9690880-6d65-4aed-a514-f17897d53003"
      }
  }
  ```

- Unauthorized
- ```curl
  curl -X delete 'https://sandboxapi.rapyd.net/v1/payouts/payout_af69206aec6c2a22327f774f08d4ae32/documents/' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here'
  ```
- ```json
  {
      "status": {
          "error_code": "UNAUTHENTICATED_API_CALL",
          "status": "ERROR",
          "message": "The request was rejected due to an authentication issue. Corrective action: Check the status of your account in the 'Account Details' page of the Client Portal.",
          "response_code": "UNAUTHENTICATED_API_CALL",
          "operation_id": "2ef00bc7-1479-4236-8cff-01290d9a39df"
      }
  }
  ```
